


local origBrain = AIBrain

AIBrain = Class(origBrain ) {


	OnSpawnPreBuiltUnits = function(self)
        local factionIndex = self:GetFactionIndex()
        local resourceStructures = nil
        local initialUnits = nil
        local posX, posY = self:GetArmyStartPos()

        if factionIndex == 1 then
			
			initialUnits = { 'EAL0001', 'ERL0001', 'ESL0001' }
        elseif factionIndex == 2 then
			
			initialUnits = { 'ERL0001', 'EEL0001', 'ESL0001' }
        elseif factionIndex == 3 then
			
			initialUnits = { 'EAL0001', 'EEL0001', 'ESL0001' }
	elseif factionIndex == 4 then
			
			initialUnits = { 'EAL0001', 'ERL0001', 'EEL0001' }
        end

        if resourceStructures then
    		# place resource structures down
    		for k, v in resourceStructures do
    			self:CreateResourceBuildingNearest(v, posX, posY)
    		end
    	end

		if initialUnits then
    		# place initial units down
    		for k, v in initialUnits do
    			self:CreateUnitNearSpot(v, posX, posY)
    		end
    	end

		self.PreBuilt = true

	end,

}

